apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-11-19T14:47:50.5658136Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '28815886'
  name: rhel-8-moccasin-mastodon-10
  uid: f2dd7d4a-65d1-4b0a-9e8e-ad6adf6df9fe
  creationTimestamp: '2025-11-19T14:33:05Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-11-19T14:33:05Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:name': {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:network.kubevirt.io/headlessService': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-11-19T14:47:50Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:preferenceRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:instancetypeRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-11-19T14:47:50Z'
  namespace: blmclaren
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: rhel-8-moccasin-mastodon-10-volume
      spec:
        sourceRef:
          kind: DataSource
          name: rhel8
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
          storageClassName: px-rwx-block-kubevirt
    - metadata:
        creationTimestamp: null
        name: dv-rhel-8-moccasin-mastodon-10-disk-copper-wildfowl-61-xuc6q5
      spec:
        source:
          blank: {}
        storage:
          accessModes:
            - ReadWriteMany
          resources:
            requests:
              storage: 30Gi
          storageClassName: px-rwx-block-kubevirt
          volumeMode: Block
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: rhel.8
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - name: rootdisk
          interfaces:
            - macAddress: '02:0e:7b:00:00:09'
              masquerade: {}
              name: default
        firmware:
          serial: 44d9f6f2-eb28-48c9-9d5b-19a8111e1d8b
        machine:
          type: pc-q35-rhel9.6.0
        resources: {}
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: rhel-8-moccasin-mastodon-10-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: fiyz-eutf-3r2q
              user: rhel
          name: cloudinitdisk
        - dataVolume:
            name: dv-rhel-8-moccasin-mastodon-10-disk-copper-wildfowl-61-xuc6q5
          name: disk-copper-wildfowl-61
status:
  observedGeneration: 1
  ready: true
  instancetypeRef:
    controllerRevisionRef:
      name: rhel-8-moccasin-mastodon-10-u1.medium-v1beta1-fbf72ce1-4a97-41cb-aa48-80160e467e2d-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  created: true
  desiredGeneration: 2
  preferenceRef:
    controllerRevisionRef:
      name: rhel-8-moccasin-mastodon-10-rhel.8-v1beta1-75001235-5448-4c78-8c2d-68503fed982d-1
    kind: virtualmachineclusterpreference
    name: rhel.8
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-11-19T14:33:21Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: null
      lastTransitionTime: '2025-11-19T14:47:50Z'
      message: a non-live-updatable field was changed in the template spec
      status: 'True'
      type: RestartRequired
  printableStatus: Running
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
    - enabled: true
      name: disk-copper-wildfowl-61
  runStrategy: Always
